package com.umall.shop.home.domain;

import java.util.Date;

/**
 * Created by John on 2017/2/22.
 */
public class Cart {

    private Long id;

    /**
     * 用户id
     */
    private Long uu;

    /**
     * 用户的enuu
     */
    private Long enuu;

    /**
     * 产品的uuid
     */
    private String uuid;

    /**
     * 批次号
     */
    private String batchCode;

    /**
     * 原厂型号
     */
    private String code;

    /**
     * 器件所属类目
     */
    private String kiName;

    /**
     * 器件所属品牌
     */
    private String brName;

    /**
     * 图片path
     */
    private String img;

    /**
     * 货物类型(1311, "现货") ( 1312, "呆滞库存") (暂时不用1313 废料)
     */
    private Integer type;

    /**
     * 数量
     */
    private Double number;

    /**
     * 单价,单位为元，有可能是含税的单价
     */
    private Double unitprice;

    private Double taxes;

    /**
     * 是否支持7天无理由退货,1:支持，0：不支持
     */
    private Short returnInWeek;

    /**
     * 税率
     */
    private Short tax;

    /**
     * 币种名称
     */
    private String currencyName;

    /**
     * 加入购物车的时间
     */
    private Date appendTime;

	public Cart() {
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getUu() {
		return uu;
	}

	public void setUu(Long uu) {
		this.uu = uu;
	}

	public Long getEnuu() {
		return enuu;
	}

	public void setEnuu(Long enuu) {
		this.enuu = enuu;
	}

	public String getUuid() {
		return uuid;
	}

	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

	public String getBatchCode() {
		return batchCode;
	}

	public void setBatchCode(String batchCode) {
		this.batchCode = batchCode;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getKiName() {
		return kiName;
	}

	public void setKiName(String kiName) {
		this.kiName = kiName;
	}

	public String getBrName() {
		return brName;
	}

	public void setBrName(String brName) {
		this.brName = brName;
	}

	public String getImg() {
		return img;
	}

	public void setImg(String img) {
		this.img = img;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Double getNumber() {
		return number;
	}

	public void setNumber(Double number) {
		this.number = number;
	}

	public Double getUnitprice() {
		return unitprice;
	}

	public void setUnitprice(Double unitprice) {
		this.unitprice = unitprice;
	}

	public Double getTaxes() {
		return taxes;
	}

	public void setTaxes(Double taxes) {
		this.taxes = taxes;
	}

	public Short getReturnInWeek() {
		return returnInWeek;
	}

	public void setReturnInWeek(Short returnInWeek) {
		this.returnInWeek = returnInWeek;
	}

	public Short getTax() {
		return tax;
	}

	public void setTax(Short tax) {
		this.tax = tax;
	}

	public String getCurrencyName() {
		return currencyName;
	}

	public void setCurrencyName(String currencyName) {
		this.currencyName = currencyName;
	}

	public Date getAppendTime() {
		return appendTime;
	}

	public void setAppendTime(Date appendTime) {
		this.appendTime = appendTime;
	}

}
